Bug 62210 - Anaconda gets time to completion wrong
Anaconda gets time to completion wrong
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-28 09:16 EST by Jeremy Sanders
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 09:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Sanders 2002-03-28 09:16:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
When installing redhat, the time bar is consistently wrong. We install from NFS,
and it typically starts off (after a few packages) at half the time it actually
takes. The time gradually increases through the installation. This worked for
the anaconda that was shipped for RedHat 6.1.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH from NFS (Skipjack, 7.1, 7.2)
2. Watch time bar
3.
	

Additional info:
Comment 1 Michael Fulbright 2002-03-28 15:09:15 EST
The time is only an estimate and is roughly correct once enough packages have
been installed to smooth out differnces between large and small package install
times.
Comment 2 Jeremy Sanders 2002-03-28 15:41:24 EST
I think there is still a bug in the time estimation code. The time doesn't
settle down after a few packages, but just continually increases. This didn't
happen with RedHat 6. I'll have to do some timing tests to be sure.
Comment 3 Bill Crawford 2002-04-02 22:35:20 EST
Similar experience here with FTP install on a laptop ... it consistently starts
out with about half the right amount and steadily builds up.  It is an issue;
you get excited, and then disappointed.  If it started off showing a larger
value, you think "I'll go make a cup of tea" (or fetch a Molson, if your name's
Mike Harris :o)

Perhaps something could be done to alleviate this?  I remember many versions
back a hard-drive install consistently *over*-estimated to begin with.

Note You need to log in before you can comment on or make changes to this bug.